# class XMLRPC::XMLWriter::XMLParser

### Public Class Methods

new() click to toggle source

    # File lib/xmlrpc/create.rb, line 62
    def initialize
      require "xmltreebuilder"
    end

### Public Instance Methods

document(*params) click to toggle source

    # File lib/xmlrpc/create.rb, line 70
    def document(*params)
      XML::SimpleTree::Document.new(*params)
    end

document_to_str(doc) click to toggle source

    # File lib/xmlrpc/create.rb, line 66
    def document_to_str(doc)
      doc.to_s
    end

element(name, attrs, *children) click to toggle source

    # File lib/xmlrpc/create.rb, line 78
    def element(name, attrs, *children)
      XML::SimpleTree::Element.new(name, attrs, *children)
    end

pi(name, *params) click to toggle source

    # File lib/xmlrpc/create.rb, line 74
    def pi(name, *params)
      XML::SimpleTree::ProcessingInstruction.new(name, *params)
    end

text(txt) click to toggle source

    # File lib/xmlrpc/create.rb, line 82
    def text(txt)
      XML::SimpleTree::Text.new(txt)
    end